Subject: Re: gdb hangs on a 486
From: CBFalconer <[email-masked]>
To: [email-masked]
Date: Thu, 31 Oct 2002 21:05:40 -0500

Christopher Faylor wrote:
> Larry Hall (RFK Partners, Inc) wrote:
> >At 11:13 PM 10/30/2002, CBFalconer wrote:
> 
> >>I have been trying out gdb in Cygwin, and found it to hang and/or
> >>crash under W98, running on a 486.  The output of gdb --version
> >>is:
> >>
... snip ...
> >> > This GDB was configured as "i686-pc-cygwin".
> >>                               ^^^^^^^^^^^^^^
> >>This appears unwarranted.  I would have assumed gdb would test and
> >>adapt itself to the processor on which it is running.
> >
> >At this point, I think most (all?) Cygwin packages are configured 
> >like this. Whether or not that's true, it's not unwarranted.  
> >There's good reason to make use of the newer architectures' 
> >capabilities.
> 
> The "i686-pc-cygwin" is just a convention.  It doesn't mean anything.
> GNU tools built for an i686 target *may* produce binaries that are
> reordered for better efficiency on that target but, in this case, I
> doubt that is even the case.
> 
> Unless someone can point to an actual 686 instruction that is causing
> problems, this discussion should die.  The standard "it crashes" or
> "it dies" bug reporting technique does not provide any details and
> speculating as to the cause with no supporting details is not a
> useful endeavor.

Unfortunately that is all the data there is.  I don't expect a
magic wand.  The problem is probably in the gui stuff gdb is
calling anyhow.  W98 is not noted for system protection.  However
ignoring it is NOT the right answer.

Maybe a few mirrors should be set aside for systems with other
configurations.

-- 
Chuck F ([email-masked]) ([email-masked])
   Available for consulting/temporary embedded and systems.
   <http://cbfalconer.home.att.net>  USE worldnet address!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/